Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`words`.`service`.`PBGroupReference``

class documentation

`class PBGroupReference(pb.RemoteReference): (source)`

Constructor: `PBGroupReference(perspective, broker, luid, doRefCount)`

Implements interfaces: `twisted.words.iwords.IGroup`

View In Hierarchy

Undocumented

Method | `add` | Include the given user in this group.
Method | `iterusers` | Return an iterator of all users in this group.
Method | `leave` | Undocumented
Method | `receive` | Broadcast the given message from the given sender to other users in group.
Method | `remove` | Remove the given user from this group.
Method | `send` | Undocumented
Method | `setMetadata` | Change the metadata associated with this group.
Method | `size` | Return the number of participants in this group.
Method | `unjellyFor` | Unjelly myself for the jellier.
Instance Variable | `name` | A short string, unique among groups.

Inherited from `RemoteReference`:

Method | `__cmp__` | No summary
Method | `__del__` | Do distributed reference counting on finalization.
Method | `__hash__` | Hash me.
Method | `__init__` | (internal) Initialize me with a broker and a locally-unique ID.
Method | `callRemote` | Asynchronously invoke a remote method.
Method | `dontNotifyOnDisconnect` | Remove a callback that was registered with notifyOnDisconnect.
Method | `jellyFor` | If I am being sent back to where I came from, serialize as a local backreference.
Method | `notifyOnDisconnect` | Register a callback to be called if our broker gets disconnected.
Method | `remoteMethod` | No summary
Instance Variable | `broker` | The broker I am obtained through.
Instance Variable | `disconnectCallbacks` | Undocumented
Instance Variable | `doRefCount` | Undocumented
Instance Variable | `luid` | Undocumented
Instance Variable | `perspective` | Undocumented
Method | `_disconnected` | Called if we are disconnected and have callbacks registered.

Inherited from `Serializable` (via `RemoteReference`):

Method | `processUniqueID` | Return an ID which uniquely represents this object for this process.

Inherited from `Jellyable` (via `RemoteReference`, `Serializable`):

Method | `getStateFor` | Undocumented

Inherited from `Ephemeral` (via `RemoteReference`, `Serializable`, `Jellyable`):

Method | `__getstate__` | Undocumented
Method | `__reduce__` | Serialize any subclass of `Ephemeral` in a way which replaces it with `Ephemeral` itself.
Method | `__setstate__` | Undocumented
Instance Variable | `__class__` | Undocumented

def add(self, user): (source)
from `twisted.words.iwords.IGroup`

Include the given user in this group.

Parameters
user:`IUser` | Undocumented

def iterusers(self): (source)
from `twisted.words.iwords.IGroup`

Return an iterator of all users in this group.

def leave(self, reason=None): (source)

Undocumented

def receive(self, sender, recipient, message): (source)
from `twisted.words.iwords.IGroup`

Broadcast the given message from the given sender to other users in group.

The message is not re-transmitted to the sender.

Parameters
sender | `IUser`
recipient:`IGroup` | This is probably a wart. Maybe it will be removed in the future. For now, it should be the group object the message is being delivered to.
message | `dict`
Returns
`twisted.internet.defer.Deferred` | A Deferred which fires with None when delivery has been attempted for all users.

def remove(self, user, reason=None): (source)
from `twisted.words.iwords.IGroup`

Remove the given user from this group.

Parameters
user:`IUser` | Undocumented
reason:`unicode` | Undocumented

def send(self, message): (source)

Undocumented

def setMetadata(self, meta): (source)
from `twisted.words.iwords.IGroup`

Change the metadata associated with this group.

Parameters
meta:`dict` | Undocumented

def size(self): (source)
from `twisted.words.iwords.IGroup`

Return the number of participants in this group.

Returns
`twisted.internet.defer.Deferred` | A Deferred which fires with an `int` representing the number of participants in this group.

def unjellyFor(self, unjellier, unjellyList): (source)
from `twisted.spread.interfaces.IUnjellyable`
overrides `twisted.spread.pb.RemoteReference.unjellyFor`

Unjelly myself for the jellier.

Parameters
unjellier | Undocumented
unjellyList | Undocumented
jellier | A stateful object which exists for the lifetime of a single call to `unjelly`.
jellyList | The `list` which represents the jellied state of the object to be unjellied.
Returns
The object which results from unjellying.

name = (source)
from `twisted.words.iwords.IGroup`

A short string, unique among groups.